Subject: Re: [Idr] [spring] I-D Action: draft-ietf-idr-performance-routing-02.txt

From: Melchior Aelmans <[email-masked]>
Date: Mon, 2 Mar 2020 11:25:15 +0100

Hi,

I think this work is very interesting and could serve a very broad use case
as mentioned by others in this thread as well.

For example I would like to see, and offer to help out write those, the
working of NETWORK_LATENCY in combination with ADD-PATH.
This particular example would offer a downstream network to select best
paths based on the NETWORK_LATENCY property inside a given network.
Would the authors be interested in exploring this?

I do also agree that this maybe should not be a seperate SAFI. I'm
interested in discussing further.

Regards,
Melchior

On Wed, Oct 16, 2019 at 11:37 AM Ondrej Zajicek <[email-masked]>
wrote:

> Hi
>
> My main objection to the draft is it uses separate SAFI to signal that
> latency based routing is used. I don't think that is a good idea. Latency
> based routing is a general concept, which makes sense to use with several
> existing SAFIs (at least 1, 4 and 128). Whether or not announce and
> use NETWORK_LATENCY TLV should be an independent session property, like
> using AIGP TLV or e.g. ADD-PATH extension.
>
> This is an issue that was underspecified in RFC 7311, just kept by
> configuration of both sides. Perhaps we need a new capability to specify
> which AIGP TLVs (if any) are supposed to be used on the session, so it
> can be negotiated automatically like ADD-PATH.
>
> --
> Ondrej 'Santiago' Zajicek (email: [email-masked])
>
> _______________________________________________
> spring mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spring
>